using F4SD_AdaptableIcon;
using FasdDesktopUi.Basics.UserControls.AdaptableIcon;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using static C4IT.Logging.cLogManager;

namespace FasdDesktopUi.Basics.Helper
{
    public static class IconHelper
    {
        public static void SetIconValue(AdaptableIcon icon, IconData iconData)
        {
			try
			{
				if (iconData.Intern != null)
					icon.SelectedInternIcon = iconData.Intern;
				else if(iconData.Material != null)
					icon.SelectedMaterialIcon = iconData.Material;
				else if(iconData.Gif != null)
					icon.SelectedInternGif = iconData.Gif;				
			}
			catch (Exception E)
			{
				LogException(E);
			}

		}
    }
}
